var gridManager = null;

$(document).ready(function () {
    loadAcceptanceFormAckGrid();
    searchAreaToggle();
});

// function initializateUI() {
//     UICtrl.layout("#layout", {leftWidth: 3});
// }

function loadAcceptanceFormAckGrid() {
    var toolbarOptions = UICtrl.getDefaultToolbarOptions({
        updateHandler: function () {
        },
    });
    gridManager = UICtrl.grid("#acceptanceFormAckGrid", {
        columns: [
            {display: "验收单业务标记", name: "zacsmk", width: 120, minWidth: 60,  type: "string",  align: "center",
                render: function(item) {
                    if(item.zacsmk === "1") {
                        return "<a href='#'  class='GridStyle' onclick=\"sampling('" + encodeURIComponent(JSON.stringify(item)) + "')\">取消</a>";
                    }
                    return "<a href='#'  class='GridStyle' onclick=\"sampling('" + encodeURIComponent(JSON.stringify(item)) + "')\">标记</a>";
                }},
            {display: "验收单财务标记", name: "zacfmk", width: 140, minWidth: 60, type: "string", align: "left"},
            {display: "销售订单", name: "vgbel", width: 140, minWidth: 60, type: "string", align: "left"},
            {display: "销售订单行", name: "vgpos", width: 140, minWidth: 60, type: "string", align: "left"},
            {display: "物料编号", name: "matnr", width: 100, minWidth: 60, type: "string", align: "left"},
            {display: "物料名称", name: "maktx", width: 120, minWidth: 60, type: "string", align: "left"},
            {display: "交货单号", name: "vbeln", width: 120, minWidth: 60, type: "string", align: "left"},
            {display: "交货单项", name: "posnr", width: 120, minWidth: 60, type: "string", align: "left"},
        ],
        dataAction: "server",
        url: web_app.name + '/sapAcceptanceForm/findAcceptanceForm.ajax',
        enabledEdit: true,
        pageSize: 20,
        usePager: true,
        toolbar: toolbarOptions,
        width: "100%",
        height: "100%",
        heightDiff: -8,
        checkbox: true,
        fixedCellHeight: true,
        selectRowButtonOnly: true,
        onDblClickRow: function (data, rowindex, rowobj) {
            // updateHandler(data);
        }
    });
    UICtrl.setSearchAreaToggle(gridManager, true);
}

function sampling (str) {
    let rowData = JSON.parse(decodeURIComponent(str));
    let loginCode = document.getElementById('loginCode').value;
    let zacsmk = !(rowData.zacsmk*1);
    let zmkt4 = new Date().getTime();
    let params = {
        "vbeln": rowData.vbeln,
        "posnr": rowData.posnr,
        "zacsmk": zacsmk,
        "zmkp4": loginCode,
        "zmkt4": zmkt4
    }

    Public.ajax(web_app.name + "/sapAcceptanceForm/ackAcceptanceForm.ajax", params,
        function (data) {
        query();
    });

}

function query() {

    let process = $('#queryMainForm').formToJSON({ check: true });
    if(!process) { return; }

    // $('#taskBar').find('div.ui-grid-query-div').find('input').val('');
    var params = $('#queryMainForm').formToJSON();
    if(!compareForDate(params.zmkt4, params.zmkt4_end)) {
        $('#zmkt4').val('').onFocus();
        $('#zmkt4_end').val('')
        return;
    }
    if(!compareForDate(params.lfdat, params.lfdat_end)) {
        $('#lfdat').val('').onFocus();
        $('#lfdat_end').val('')
        return;
    }
    // params.singleProcInstShowOneTask = $("#singleProcInstShowOneTask").is(":checked");
    UICtrl.gridSearch(gridManager, params);
}

/**
 * 展开搜索框
 */
function searchAreaToggle() {
    setTimeout(function() {
        $('a.togglebtn').click();
    }, 500);
}

//日期大小比较
function compareForDate(start,end){
    start=start.replace(/-/g,'').replace(/ /g,'').replace(/:/g,'');
    end=end.replace(/-/g,'').replace(/ /g,'').replace(/:/g,'');
    start=parseInt(start,10);
    end=parseInt(end,10);
    if(isNaN(start)||isNaN(end)){
        return true;
    }
    if(start>end){
        Public.tip('开始时间不能大于结束时间!');
        return false;
    }
    return true;
}

function resetForm(obj) {
    $(obj).formClean();
}

// if(!$("#kunag").val()){
//     Public.tip("请选择输入客户编码！");
//     return;
// }